<!doctype html>
<head>
  <link rel="stylesheet" href="{{ url_for('static', filename='css/darktheme.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/video-js.min.css') }}">

  <style>
    .vjs-button.vjs-control.vjs-next-button {
      position: relative;
      font-size: 2.2em;
      width: 2em;
      cursor: pointer;
    }
  </style>
</head>

<html>
<body>

{% if autoplay is true%}

<video id="video-player" class="video-js" preload="auto" playsinline autoplay outline="none" controls
data-setup='{ "playbackRates": [0.5, 1, 1.25, 1.5, 1.75, 2], "controlBar": {"skipButtons": {"backward":10,"forward":10}} }'
style="outline:none;
    background-color:#000;
    background-size:cover;
    display: inline-block;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow-wrap: break-word;
    word-wrap: break-word;">

{% else %}

<video id="video-player" class="video-js" preload="auto" playsinline outline="none" controls
data-setup='{ "playbackRates": [0.5, 1, 1.25, 1.5, 1.75, 2], "controlBar": {"skipButtons": {"backward":10,"forward":10}} }'
style="outline:none;
    background-color:#000;
    background-size:cover;
    display: inline-block;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow-wrap: break-word;
    word-wrap: break-word;"
>

{% endif %}

  <source
    src="{{ video_url }}.webm"
    type='video/webm' />
  <source
    src="{{ video_url }}.mp4"
    type="video/mp4" />
  <source
    src="{{ video_url }}.mkv" />
  <source
    src="{{ video_url }}.ogv"
    type="video/ogg" />
</video>

<script src="{{ url_for('static', filename='js/video.min.js') }}"></script>

<script type="text/javascript">
  (function(){
    {% if playnext %}
    var autoplayEnabled = true;
    {% else %}
    var autoplayEnabled = false;
    {% endif %}
    var player = videojs('video-player');

    // added to work with altCen, and changed 'url' below
    var replacedStr1 =  window.location.href.replace("?", "&amp");
    var replacedStr2 =  replacedStr1.replace("embed/", "watch?v=");


    var nextVideoURL;
    {% if next_video %}
      {% if playlist %}
        nextVideoURL = "/watch?v={{next_video}}&playlist={{playlist.hashid}}"
      {% elif userlist %}
        nextVideoURL = "/watch?v={{next_video}}&userlist={{userlist}}"
      {% else %}
        nextVideoURL = "/watch?v={{next_video}}"
      {% endif %}
    {% endif %}
    var Button = videojs.getComponent('Button');

    class NextButton extends Button {
      buildCSSClass() {
        return 'vjs-next-button vjs-icon-next-item vjs-button vjs-control';
      }
      handleClick(event){
        window.parent.location = nextVideoURL;
      }
    }

    videojs.registerComponent('NextButton', NextButton);
    if(autoplayEnabled && nextVideoURL){
      var nextButton = player.controlBar.addChild('NextButton', {}, 1);
    }

    player.on('ended', function(){
      if(nextVideoURL && autoplayEnabled){
        window.parent.location = nextVideoURL;
      };
    });

    window.addEventListener('message', function(e) {
      var msg = JSON.parse(e.data);
      if(msg.type === 'toggle-play-next'){
        var checked = msg.checked;
        autoplayEnabled = checked;
        if(!checked){
          player.controlBar.removeChild(nextButton);
        } else {
          nextButton = player.controlBar.addChild('NextButton', {}, 1);
        }
      }
    })
  })();
</script>

</body>
</html>